Index: libroar/acl.c
===================================================================
--- libroar/acl.c	(revision 690)
+++ libroar/acl.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/auth.c
===================================================================
--- libroar/auth.c	(revision 3228)
+++ libroar/auth.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/basic.c
===================================================================
--- libroar/basic.c	(revision 3372)
+++ libroar/basic.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/buffer.c
===================================================================
--- libroar/buffer.c	(revision 3032)
+++ libroar/buffer.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/cdrom.c
===================================================================
--- libroar/cdrom.c	(revision 1438)
+++ libroar/cdrom.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/config.c
===================================================================
--- libroar/config.c	(revision 3375)
+++ libroar/config.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/ctl.c
===================================================================
--- libroar/ctl.c	(revision 3258)
+++ libroar/ctl.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/debug.c
===================================================================
--- libroar/debug.c	(revision 2654)
+++ libroar/debug.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/empty.c
===================================================================
--- libroar/empty.c	(revision 3110)
+++ libroar/empty.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/file.c
===================================================================
--- libroar/file.c	(revision 1767)
+++ libroar/file.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/libroar.c
===================================================================
--- libroar/libroar.c	(revision 1434)
+++ libroar/libroar.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/meta.c
===================================================================
--- libroar/meta.c	(revision 3074)
+++ libroar/meta.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/nnode.c
===================================================================
--- libroar/nnode.c	(revision 2811)
+++ libroar/nnode.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/pinentry.c
===================================================================
--- libroar/pinentry.c	(revision 1790)
+++ libroar/pinentry.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/roardl.c
===================================================================
--- libroar/roardl.c	(revision 3367)
+++ libroar/roardl.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/roarx11.c
===================================================================
--- libroar/roarx11.c	(revision 3487)
+++ libroar/roarx11.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/simple.c
===================================================================
--- libroar/simple.c	(revision 3479)
+++ libroar/simple.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/slp.c
===================================================================
--- libroar/slp.c	(revision 2027)
+++ libroar/slp.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/socket.c
===================================================================
--- libroar/socket.c	(revision 2040)
+++ libroar/socket.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/sshaskpass.c
===================================================================
--- libroar/sshaskpass.c	(revision 1398)
+++ libroar/sshaskpass.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/stack.c
===================================================================
--- libroar/stack.c	(revision 3063)
+++ libroar/stack.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/stream.c
===================================================================
--- libroar/stream.c	(revision 3213)
+++ libroar/stream.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio.c
===================================================================
--- libroar/vio.c	(revision 3436)
+++ libroar/vio.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_bio.c
===================================================================
--- libroar/vio_bio.c	(revision 1322)
+++ libroar/vio_bio.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_cmd.c
===================================================================
--- libroar/vio_cmd.c	(revision 3437)
+++ libroar/vio_cmd.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_dstr.c
===================================================================
--- libroar/vio_dstr.c	(revision 3313)
+++ libroar/vio_dstr.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_jumbo.c
===================================================================
--- libroar/vio_jumbo.c	(revision 3046)
+++ libroar/vio_jumbo.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_magic.c
===================================================================
--- libroar/vio_magic.c	(revision 1299)
+++ libroar/vio_magic.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_ops.c
===================================================================
--- libroar/vio_ops.c	(revision 2643)
+++ libroar/vio_ops.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_pipe.c
===================================================================
--- libroar/vio_pipe.c	(revision 3437)
+++ libroar/vio_pipe.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_proto.c
===================================================================
--- libroar/vio_proto.c	(revision 3349)
+++ libroar/vio_proto.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_rtp.c
===================================================================
--- libroar/vio_rtp.c	(revision 3324)
+++ libroar/vio_rtp.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_select.c
===================================================================
--- libroar/vio_select.c	(revision 1506)
+++ libroar/vio_select.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_socket.c
===================================================================
--- libroar/vio_socket.c	(revision 3293)
+++ libroar/vio_socket.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_stack.c
===================================================================
--- libroar/vio_stack.c	(revision 3282)
+++ libroar/vio_stack.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_stdio.c
===================================================================
--- libroar/vio_stdio.c	(revision 2059)
+++ libroar/vio_stdio.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_string.c
===================================================================
--- libroar/vio_string.c	(revision 3033)
+++ libroar/vio_string.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_tantalos.c
===================================================================
--- libroar/vio_tantalos.c	(revision 3119)
+++ libroar/vio_tantalos.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches:
Index: libroar/vio_winsock.c
===================================================================
--- libroar/vio_winsock.c	(revision 3436)
+++ libroar/vio_winsock.c	(revision 3517)
@@ -19,5 +19,6 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
  *
  *  NOTE for everyone want's to change something and send patches: