Index: libroar/meta.c
===================================================================
--- libroar/meta.c	(revision 3051)
+++ libroar/meta.c	(revision 3052)
@@ -93,4 +93,300 @@
  char * name;
 } _libroar_meta_genrelist[] = {
+{ROAR_META_GENRE_RDS_EU_NONE,             "rds_eu_none"},
+{ROAR_META_GENRE_RDS_EU_NONE,             "none"},
+{ROAR_META_GENRE_RDS_EU_NEWS,             "rds_eu_news"},
+{ROAR_META_GENRE_RDS_EU_NEWS,             "news"},
+{ROAR_META_GENRE_RDS_EU_CURRENT_AFFAIRS,  "rds_eu_current_affairs"},
+{ROAR_META_GENRE_RDS_EU_CURRENT_AFFAIRS,  "current affairs"},
+{ROAR_META_GENRE_RDS_EU_INFORMATION,      "rds_eu_information"},
+{ROAR_META_GENRE_RDS_EU_INFORMATION,      "information"},
+{ROAR_META_GENRE_RDS_EU_SPORT,            "rds_eu_sport"},
+{ROAR_META_GENRE_RDS_EU_SPORT,            "sport"},
+{ROAR_META_GENRE_RDS_EU_EDUCATION,        "rds_eu_education"},
+{ROAR_META_GENRE_RDS_EU_EDUCATION,        "education"},
+{ROAR_META_GENRE_RDS_EU_DRAMA,            "rds_eu_drama"},
+{ROAR_META_GENRE_RDS_EU_DRAMA,            "drama"},
+{ROAR_META_GENRE_RDS_EU_CULTURE,          "rds_eu_culture"},
+{ROAR_META_GENRE_RDS_EU_CULTURE,          "culture"},
+{ROAR_META_GENRE_RDS_EU_SCIENCE,          "rds_eu_science"},
+{ROAR_META_GENRE_RDS_EU_SCIENCE,          "science"},
+{ROAR_META_GENRE_RDS_EU_VARIED,           "rds_eu_varied"},
+{ROAR_META_GENRE_RDS_EU_VARIED,           "varied"},
+{ROAR_META_GENRE_RDS_EU_POP_MUSIC,        "rds_eu_pop_music"},
+{ROAR_META_GENRE_RDS_EU_POP_MUSIC,        "pop music"},
+{ROAR_META_GENRE_RDS_EU_ROCK_MUSIC,       "rds_eu_rock_music"},
+{ROAR_META_GENRE_RDS_EU_ROCK_MUSIC,       "rock music"},
+{ROAR_META_GENRE_RDS_EU_EASY_LISTENING,   "rds_eu_easy_listening"},
+{ROAR_META_GENRE_RDS_EU_EASY_LISTENING,   "easy listening"},
+{ROAR_META_GENRE_RDS_EU_LIGHT_CLASSICAL,  "rds_eu_light_classical"},
+{ROAR_META_GENRE_RDS_EU_LIGHT_CLASSICAL,  "light classical"},
+{ROAR_META_GENRE_RDS_EU_SERIOUS_CLASSICAL, "rds_eu_serious_classical"},
+{ROAR_META_GENRE_RDS_EU_SERIOUS_CLASSICAL, "serious classical"},
+{ROAR_META_GENRE_RDS_EU_OTHER_MUSIC,      "rds_eu_other_music"},
+{ROAR_META_GENRE_RDS_EU_OTHER_MUSIC,      "other music"},
+{ROAR_META_GENRE_RDS_EU_WEATHER,          "rds_eu_weather"},
+{ROAR_META_GENRE_RDS_EU_WEATHER,          "weather"},
+{ROAR_META_GENRE_RDS_EU_FINANCE,          "rds_eu_finance"},
+{ROAR_META_GENRE_RDS_EU_FINANCE,          "finance"},
+{ROAR_META_GENRE_RDS_EU_CHILDREN_S_PROGRAMMES, "rds_eu_children_s_programmes"},
+{ROAR_META_GENRE_RDS_EU_CHILDREN_S_PROGRAMMES, "children s programmes"},
+{ROAR_META_GENRE_RDS_EU_SOCIAL_AFFAIRS,   "rds_eu_social_affairs"},
+{ROAR_META_GENRE_RDS_EU_SOCIAL_AFFAIRS,   "social affairs"},
+{ROAR_META_GENRE_RDS_EU_RELIGION,         "rds_eu_religion"},
+{ROAR_META_GENRE_RDS_EU_RELIGION,         "religion"},
+{ROAR_META_GENRE_RDS_EU_PHONE_IN,         "rds_eu_phone_in"},
+{ROAR_META_GENRE_RDS_EU_PHONE_IN,         "phone in"},
+{ROAR_META_GENRE_RDS_EU_TRAVEL,           "rds_eu_travel"},
+{ROAR_META_GENRE_RDS_EU_TRAVEL,           "travel"},
+{ROAR_META_GENRE_RDS_EU_LEISURE,          "rds_eu_leisure"},
+{ROAR_META_GENRE_RDS_EU_LEISURE,          "leisure"},
+{ROAR_META_GENRE_RDS_EU_JAZZ_MUSIC,       "rds_eu_jazz_music"},
+{ROAR_META_GENRE_RDS_EU_JAZZ_MUSIC,       "jazz music"},
+{ROAR_META_GENRE_RDS_EU_COUNTRY_MUSIC,    "rds_eu_country_music"},
+{ROAR_META_GENRE_RDS_EU_COUNTRY_MUSIC,    "country music"},
+{ROAR_META_GENRE_RDS_EU_NATIONAL_MUSIC,   "rds_eu_national_music"},
+{ROAR_META_GENRE_RDS_EU_NATIONAL_MUSIC,   "national music"},
+{ROAR_META_GENRE_RDS_EU_OLDIES_MUSIC,     "rds_eu_oldies_music"},
+{ROAR_META_GENRE_RDS_EU_OLDIES_MUSIC,     "oldies music"},
+{ROAR_META_GENRE_RDS_EU_FOLK_MUSIC,       "rds_eu_folk_music"},
+{ROAR_META_GENRE_RDS_EU_FOLK_MUSIC,       "folk music"},
+{ROAR_META_GENRE_RDS_EU_DOCUMENTARY,      "rds_eu_documentary"},
+{ROAR_META_GENRE_RDS_EU_DOCUMENTARY,      "documentary"},
+{ROAR_META_GENRE_RDS_EU_ALARM_TEST,       "rds_eu_alarm_test"},
+{ROAR_META_GENRE_RDS_EU_ALARM_TEST,       "alarm test"},
+{ROAR_META_GENRE_RDS_EU_ALARM,            "rds_eu_alarm"},
+{ROAR_META_GENRE_RDS_EU_ALARM,            "alarm"},
+{ROAR_META_GENRE_RDS_EU_EMERGENCY_TEST,   "rds_eu_emergency_test"},
+{ROAR_META_GENRE_RDS_EU_EMERGENCY_TEST,   "emergency test"},
+{ROAR_META_GENRE_RDS_EU_EMERGENCY,        "rds_eu_emergency"},
+{ROAR_META_GENRE_RDS_EU_EMERGENCY,        "emergency"},
+{ROAR_META_GENRE_RDS_NA_NONE,             "rds_na_none"},
+{ROAR_META_GENRE_RDS_NA_NONE,             "none"},
+{ROAR_META_GENRE_RDS_NA_NEWS,             "rds_na_news"},
+{ROAR_META_GENRE_RDS_NA_NEWS,             "news"},
+{ROAR_META_GENRE_RDS_NA_INFORMATION,      "rds_na_information"},
+{ROAR_META_GENRE_RDS_NA_INFORMATION,      "information"},
+{ROAR_META_GENRE_RDS_NA_SPORTS,           "rds_na_sports"},
+{ROAR_META_GENRE_RDS_NA_SPORTS,           "sports"},
+{ROAR_META_GENRE_RDS_NA_TALK,             "rds_na_talk"},
+{ROAR_META_GENRE_RDS_NA_TALK,             "talk"},
+{ROAR_META_GENRE_RDS_NA_ROCK,             "rds_na_rock"},
+{ROAR_META_GENRE_RDS_NA_ROCK,             "rock"},
+{ROAR_META_GENRE_RDS_NA_CLASSIC_ROCK,     "rds_na_classic_rock"},
+{ROAR_META_GENRE_RDS_NA_CLASSIC_ROCK,     "classic rock"},
+{ROAR_META_GENRE_RDS_NA_ADULT_HITS,       "rds_na_adult_hits"},
+{ROAR_META_GENRE_RDS_NA_ADULT_HITS,       "adult hits"},
+{ROAR_META_GENRE_RDS_NA_SOFT_ROCK,        "rds_na_soft_rock"},
+{ROAR_META_GENRE_RDS_NA_SOFT_ROCK,        "soft rock"},
+{ROAR_META_GENRE_RDS_NA_TOP_40,           "rds_na_top_40"},
+{ROAR_META_GENRE_RDS_NA_TOP_40,           "top 40"},
+{ROAR_META_GENRE_RDS_NA_COUNTRY,          "rds_na_country"},
+{ROAR_META_GENRE_RDS_NA_COUNTRY,          "country"},
+{ROAR_META_GENRE_RDS_NA_OLDIES,           "rds_na_oldies"},
+{ROAR_META_GENRE_RDS_NA_OLDIES,           "oldies"},
+{ROAR_META_GENRE_RDS_NA_SOFT,             "rds_na_soft"},
+{ROAR_META_GENRE_RDS_NA_SOFT,             "soft"},
+{ROAR_META_GENRE_RDS_NA_NOSTALGIA,        "rds_na_nostalgia"},
+{ROAR_META_GENRE_RDS_NA_NOSTALGIA,        "nostalgia"},
+{ROAR_META_GENRE_RDS_NA_JAZZ,             "rds_na_jazz"},
+{ROAR_META_GENRE_RDS_NA_JAZZ,             "jazz"},
+{ROAR_META_GENRE_RDS_NA_CLASSICAL,        "rds_na_classical"},
+{ROAR_META_GENRE_RDS_NA_CLASSICAL,        "classical"},
+{ROAR_META_GENRE_RDS_NA_RHYTHM_AND_BLUES, "rds_na_rhythm_and_blues"},
+{ROAR_META_GENRE_RDS_NA_RHYTHM_AND_BLUES, "rhythm and blues"},
+{ROAR_META_GENRE_RDS_NA_SOFT_RHYTHM_AND_BLUES, "rds_na_soft_rhythm_and_blues"},
+{ROAR_META_GENRE_RDS_NA_SOFT_RHYTHM_AND_BLUES, "soft rhythm and blues"},
+{ROAR_META_GENRE_RDS_NA_LANGUAGE,         "rds_na_language"},
+{ROAR_META_GENRE_RDS_NA_LANGUAGE,         "language"},
+{ROAR_META_GENRE_RDS_NA_RELIGIOUS_MUSIC,  "rds_na_religious_music"},
+{ROAR_META_GENRE_RDS_NA_RELIGIOUS_MUSIC,  "religious music"},
+{ROAR_META_GENRE_RDS_NA_RELIGIOUS_TALK,   "rds_na_religious_talk"},
+{ROAR_META_GENRE_RDS_NA_RELIGIOUS_TALK,   "religious talk"},
+{ROAR_META_GENRE_RDS_NA_PERSONALITY,      "rds_na_personality"},
+{ROAR_META_GENRE_RDS_NA_PERSONALITY,      "personality"},
+{ROAR_META_GENRE_RDS_NA_PUBLIC,           "rds_na_public"},
+{ROAR_META_GENRE_RDS_NA_PUBLIC,           "public"},
+{ROAR_META_GENRE_RDS_NA_COLLEGE,          "rds_na_college"},
+{ROAR_META_GENRE_RDS_NA_COLLEGE,          "college"},
+{ROAR_META_GENRE_RDS_NA_UNASSIGNED_0,     "rds_na_unassigned_0"},
+{ROAR_META_GENRE_RDS_NA_UNASSIGNED_0,     "unassigned 0"},
+{ROAR_META_GENRE_RDS_NA_UNASSIGNED_1,     "rds_na_unassigned_1"},
+{ROAR_META_GENRE_RDS_NA_UNASSIGNED_1,     "unassigned 1"},
+{ROAR_META_GENRE_RDS_NA_UNASSIGNED_2,     "rds_na_unassigned_2"},
+{ROAR_META_GENRE_RDS_NA_UNASSIGNED_2,     "unassigned 2"},
+{ROAR_META_GENRE_RDS_NA_UNASSIGNED_3,     "rds_na_unassigned_3"},
+{ROAR_META_GENRE_RDS_NA_UNASSIGNED_3,     "unassigned 3"},
+{ROAR_META_GENRE_RDS_NA_UNASSIGNED_4,     "rds_na_unassigned_4"},
+{ROAR_META_GENRE_RDS_NA_UNASSIGNED_4,     "unassigned 4"},
+{ROAR_META_GENRE_RDS_NA_WEATHER,          "rds_na_weather"},
+{ROAR_META_GENRE_RDS_NA_WEATHER,          "weather"},
+{ROAR_META_GENRE_RDS_NA_EMERGENCY_TEST,   "rds_na_emergency_test"},
+{ROAR_META_GENRE_RDS_NA_EMERGENCY_TEST,   "emergency test"},
+{ROAR_META_GENRE_RDS_NA_EMERGENCY,        "rds_na_emergency"},
+{ROAR_META_GENRE_RDS_NA_EMERGENCY,        "emergency"},
+{ROAR_META_GENRE_RDS_NA_ALARM_TEST,       "rds_na_alarm_test"},
+{ROAR_META_GENRE_RDS_NA_ALARM_TEST,       "alarm test"},
+{ROAR_META_GENRE_RDS_NA_ALARM,            "rds_na_alarm"},
+{ROAR_META_GENRE_RDS_NA_ALARM,            "alarm"},
+{ROAR_META_GENRE_ID3_BLUES,               "id3_blues"},
+{ROAR_META_GENRE_ID3_BLUES,               "blues"},
+{ROAR_META_GENRE_ID3_CLASSIC_ROCK,        "id3_classic_rock"},
+{ROAR_META_GENRE_ID3_CLASSIC_ROCK,        "classic rock"},
+{ROAR_META_GENRE_ID3_COUNTRY,             "id3_country"},
+{ROAR_META_GENRE_ID3_COUNTRY,             "country"},
+{ROAR_META_GENRE_ID3_DANCE,               "id3_dance"},
+{ROAR_META_GENRE_ID3_DANCE,               "dance"},
+{ROAR_META_GENRE_ID3_DISCO,               "id3_disco"},
+{ROAR_META_GENRE_ID3_DISCO,               "disco"},
+{ROAR_META_GENRE_ID3_FUNK,                "id3_funk"},
+{ROAR_META_GENRE_ID3_FUNK,                "funk"},
+{ROAR_META_GENRE_ID3_GRUNGE,              "id3_grunge"},
+{ROAR_META_GENRE_ID3_GRUNGE,              "grunge"},
+{ROAR_META_GENRE_ID3_HIP_HOP,             "id3_hip_hop"},
+{ROAR_META_GENRE_ID3_HIP_HOP,             "hip hop"},
+{ROAR_META_GENRE_ID3_JAZZ,                "id3_jazz"},
+{ROAR_META_GENRE_ID3_JAZZ,                "jazz"},
+{ROAR_META_GENRE_ID3_METAL,               "id3_metal"},
+{ROAR_META_GENRE_ID3_METAL,               "metal"},
+{ROAR_META_GENRE_ID3_NEW_AGE,             "id3_new_age"},
+{ROAR_META_GENRE_ID3_NEW_AGE,             "new age"},
+{ROAR_META_GENRE_ID3_OLDIES,              "id3_oldies"},
+{ROAR_META_GENRE_ID3_OLDIES,              "oldies"},
+{ROAR_META_GENRE_ID3_OTHER,               "id3_other"},
+{ROAR_META_GENRE_ID3_OTHER,               "other"},
+{ROAR_META_GENRE_ID3_POP,                 "id3_pop"},
+{ROAR_META_GENRE_ID3_POP,                 "pop"},
+{ROAR_META_GENRE_ID3_R_AND_B,             "id3_r_and_b"},
+{ROAR_META_GENRE_ID3_R_AND_B,             "r and b"},
+{ROAR_META_GENRE_ID3_RAP,                 "id3_rap"},
+{ROAR_META_GENRE_ID3_RAP,                 "rap"},
+{ROAR_META_GENRE_ID3_REGGAE,              "id3_reggae"},
+{ROAR_META_GENRE_ID3_REGGAE,              "reggae"},
+{ROAR_META_GENRE_ID3_ROCK,                "id3_rock"},
+{ROAR_META_GENRE_ID3_ROCK,                "rock"},
+{ROAR_META_GENRE_ID3_TECHNO,              "id3_techno"},
+{ROAR_META_GENRE_ID3_TECHNO,              "techno"},
+{ROAR_META_GENRE_ID3_INDUSTRIAL,          "id3_industrial"},
+{ROAR_META_GENRE_ID3_INDUSTRIAL,          "industrial"},
+{ROAR_META_GENRE_ID3_ALTERNATIVE,         "id3_alternative"},
+{ROAR_META_GENRE_ID3_ALTERNATIVE,         "alternative"},
+{ROAR_META_GENRE_ID3_SKA,                 "id3_ska"},
+{ROAR_META_GENRE_ID3_SKA,                 "ska"},
+{ROAR_META_GENRE_ID3_DEATH_METAL,         "id3_death_metal"},
+{ROAR_META_GENRE_ID3_DEATH_METAL,         "death metal"},
+{ROAR_META_GENRE_ID3_PRANKS,              "id3_pranks"},
+{ROAR_META_GENRE_ID3_PRANKS,              "pranks"},
+{ROAR_META_GENRE_ID3_SOUNDTRACK,          "id3_soundtrack"},
+{ROAR_META_GENRE_ID3_SOUNDTRACK,          "soundtrack"},
+{ROAR_META_GENRE_ID3_EURO_TECHNO,         "id3_euro_techno"},
+{ROAR_META_GENRE_ID3_EURO_TECHNO,         "euro techno"},
+{ROAR_META_GENRE_ID3_AMBIENT,             "id3_ambient"},
+{ROAR_META_GENRE_ID3_AMBIENT,             "ambient"},
+{ROAR_META_GENRE_ID3_TRIP_HOP,            "id3_trip_hop"},
+{ROAR_META_GENRE_ID3_TRIP_HOP,            "trip hop"},
+{ROAR_META_GENRE_ID3_VOCAL,               "id3_vocal"},
+{ROAR_META_GENRE_ID3_VOCAL,               "vocal"},
+{ROAR_META_GENRE_ID3_JAZZ_FUNK,           "id3_jazz_funk"},
+{ROAR_META_GENRE_ID3_JAZZ_FUNK,           "jazz funk"},
+{ROAR_META_GENRE_ID3_FUSION,              "id3_fusion"},
+{ROAR_META_GENRE_ID3_FUSION,              "fusion"},
+{ROAR_META_GENRE_ID3_TRANCE,              "id3_trance"},
+{ROAR_META_GENRE_ID3_TRANCE,              "trance"},
+{ROAR_META_GENRE_ID3_CLASSICAL,           "id3_classical"},
+{ROAR_META_GENRE_ID3_CLASSICAL,           "classical"},
+{ROAR_META_GENRE_ID3_INSTRUMENTAL,        "id3_instrumental"},
+{ROAR_META_GENRE_ID3_INSTRUMENTAL,        "instrumental"},
+{ROAR_META_GENRE_ID3_ACID,                "id3_acid"},
+{ROAR_META_GENRE_ID3_ACID,                "acid"},
+{ROAR_META_GENRE_ID3_HOUSE,               "id3_house"},
+{ROAR_META_GENRE_ID3_HOUSE,               "house"},
+{ROAR_META_GENRE_ID3_GAME,                "id3_game"},
+{ROAR_META_GENRE_ID3_GAME,                "game"},
+{ROAR_META_GENRE_ID3_SOUND_CLIP,          "id3_sound_clip"},
+{ROAR_META_GENRE_ID3_SOUND_CLIP,          "sound clip"},
+{ROAR_META_GENRE_ID3_GOSPEL,              "id3_gospel"},
+{ROAR_META_GENRE_ID3_GOSPEL,              "gospel"},
+{ROAR_META_GENRE_ID3_NOISE,               "id3_noise"},
+{ROAR_META_GENRE_ID3_NOISE,               "noise"},
+{ROAR_META_GENRE_ID3_ALTERNROCK,          "id3_alternrock"},
+{ROAR_META_GENRE_ID3_ALTERNROCK,          "alternrock"},
+{ROAR_META_GENRE_ID3_BASS,                "id3_bass"},
+{ROAR_META_GENRE_ID3_BASS,                "bass"},
+{ROAR_META_GENRE_ID3_SOUL,                "id3_soul"},
+{ROAR_META_GENRE_ID3_SOUL,                "soul"},
+{ROAR_META_GENRE_ID3_PUNK,                "id3_punk"},
+{ROAR_META_GENRE_ID3_PUNK,                "punk"},
+{ROAR_META_GENRE_ID3_SPACE,               "id3_space"},
+{ROAR_META_GENRE_ID3_SPACE,               "space"},
+{ROAR_META_GENRE_ID3_MEDITATIVE,          "id3_meditative"},
+{ROAR_META_GENRE_ID3_MEDITATIVE,          "meditative"},
+{ROAR_META_GENRE_ID3_INSTRUMENTAL_POP,    "id3_instrumental_pop"},
+{ROAR_META_GENRE_ID3_INSTRUMENTAL_POP,    "instrumental pop"},
+{ROAR_META_GENRE_ID3_INSTRUMENTAL_ROCK,   "id3_instrumental_rock"},
+{ROAR_META_GENRE_ID3_INSTRUMENTAL_ROCK,   "instrumental rock"},
+{ROAR_META_GENRE_ID3_ETHNIC,              "id3_ethnic"},
+{ROAR_META_GENRE_ID3_ETHNIC,              "ethnic"},
+{ROAR_META_GENRE_ID3_GOTHIC,              "id3_gothic"},
+{ROAR_META_GENRE_ID3_GOTHIC,              "gothic"},
+{ROAR_META_GENRE_ID3_DARKWAVE,            "id3_darkwave"},
+{ROAR_META_GENRE_ID3_DARKWAVE,            "darkwave"},
+{ROAR_META_GENRE_ID3_TECHNO_INDUSTRIAL,   "id3_techno_industrial"},
+{ROAR_META_GENRE_ID3_TECHNO_INDUSTRIAL,   "techno industrial"},
+{ROAR_META_GENRE_ID3_ELECTRONIC,          "id3_electronic"},
+{ROAR_META_GENRE_ID3_ELECTRONIC,          "electronic"},
+{ROAR_META_GENRE_ID3_POP_FOLK,            "id3_pop_folk"},
+{ROAR_META_GENRE_ID3_POP_FOLK,            "pop folk"},
+{ROAR_META_GENRE_ID3_EURODANCE,           "id3_eurodance"},
+{ROAR_META_GENRE_ID3_EURODANCE,           "eurodance"},
+{ROAR_META_GENRE_ID3_DREAM,               "id3_dream"},
+{ROAR_META_GENRE_ID3_DREAM,               "dream"},
+{ROAR_META_GENRE_ID3_SOUTHERN_ROCK,       "id3_southern_rock"},
+{ROAR_META_GENRE_ID3_SOUTHERN_ROCK,       "southern rock"},
+{ROAR_META_GENRE_ID3_COMEDY,              "id3_comedy"},
+{ROAR_META_GENRE_ID3_COMEDY,              "comedy"},
+{ROAR_META_GENRE_ID3_CULT,                "id3_cult"},
+{ROAR_META_GENRE_ID3_CULT,                "cult"},
+{ROAR_META_GENRE_ID3_GANGSTA,             "id3_gangsta"},
+{ROAR_META_GENRE_ID3_GANGSTA,             "gangsta"},
+{ROAR_META_GENRE_ID3_TOP_40,              "id3_top_40"},
+{ROAR_META_GENRE_ID3_TOP_40,              "top 40"},
+{ROAR_META_GENRE_ID3_CHRISTIAN_RAP,       "id3_christian_rap"},
+{ROAR_META_GENRE_ID3_CHRISTIAN_RAP,       "christian rap"},
+{ROAR_META_GENRE_ID3_POP_FUNK,            "id3_pop_funk"},
+{ROAR_META_GENRE_ID3_POP_FUNK,            "pop funk"},
+{ROAR_META_GENRE_ID3_JUNGLE,              "id3_jungle"},
+{ROAR_META_GENRE_ID3_JUNGLE,              "jungle"},
+{ROAR_META_GENRE_ID3_NATIVE_AMERICAN,     "id3_native_american"},
+{ROAR_META_GENRE_ID3_NATIVE_AMERICAN,     "native american"},
+{ROAR_META_GENRE_ID3_CABARET,             "id3_cabaret"},
+{ROAR_META_GENRE_ID3_CABARET,             "cabaret"},
+{ROAR_META_GENRE_ID3_NEW_WAVE,            "id3_new_wave"},
+{ROAR_META_GENRE_ID3_NEW_WAVE,            "new wave"},
+{ROAR_META_GENRE_ID3_PSYCHADELIC,         "id3_psychadelic"},
+{ROAR_META_GENRE_ID3_PSYCHADELIC,         "psychadelic"},
+{ROAR_META_GENRE_ID3_RAVE,                "id3_rave"},
+{ROAR_META_GENRE_ID3_RAVE,                "rave"},
+{ROAR_META_GENRE_ID3_SHOWTUNES,           "id3_showtunes"},
+{ROAR_META_GENRE_ID3_SHOWTUNES,           "showtunes"},
+{ROAR_META_GENRE_ID3_TRAILER,             "id3_trailer"},
+{ROAR_META_GENRE_ID3_TRAILER,             "trailer"},
+{ROAR_META_GENRE_ID3_LO_FI,               "id3_lo_fi"},
+{ROAR_META_GENRE_ID3_LO_FI,               "lo fi"},
+{ROAR_META_GENRE_ID3_TRIBAL,              "id3_tribal"},
+{ROAR_META_GENRE_ID3_TRIBAL,              "tribal"},
+{ROAR_META_GENRE_ID3_ACID_PUNK,           "id3_acid_punk"},
+{ROAR_META_GENRE_ID3_ACID_PUNK,           "acid punk"},
+{ROAR_META_GENRE_ID3_ACID_JAZZ,           "id3_acid_jazz"},
+{ROAR_META_GENRE_ID3_ACID_JAZZ,           "acid jazz"},
+{ROAR_META_GENRE_ID3_POLKA,               "id3_polka"},
+{ROAR_META_GENRE_ID3_POLKA,               "polka"},
+{ROAR_META_GENRE_ID3_RETRO,               "id3_retro"},
+{ROAR_META_GENRE_ID3_RETRO,               "retro"},
+{ROAR_META_GENRE_ID3_MUSICAL,             "id3_musical"},
+{ROAR_META_GENRE_ID3_MUSICAL,             "musical"},
+{ROAR_META_GENRE_ID3_ROCK_AND_ROLL,       "id3_rock_and_roll"},
+{ROAR_META_GENRE_ID3_ROCK_AND_ROLL,       "rock and roll"},
+{ROAR_META_GENRE_ID3_HARD_ROCK,           "id3_hard_rock"},
+{ROAR_META_GENRE_ID3_HARD_ROCK,           "hard rock"},
 
  {-1, "EOL"}