Index: doc/man1/roarcatplay.1
===================================================================
--- doc/man1/roarcatplay.1	(revision 3088)
+++ doc/man1/roarcatplay.1	(revision 3088)
@@ -0,0 +1,53 @@
+.\" roarcatplay.1:
+
+.TH "roarcatplay" "1" "January 2010" "RoarAudio" "System User's Manual: roarcatplay"
+
+.SH NAME
+
+roarcatplay \- play files via RoarAudio
+
+.SH SYNOPSIS
+
+roarcatplay [OPTIONS]... [FILE]
+
+.SH DESCRIPTION
+
+This tool plays files using RoarAudio doing client side auto detecting of file type.
+
+.SH "OPTIONS"
+
+.TP
+\fB--server SERVER\fR
+Set server hostname
+
+.TP
+\fB--simple\fR
+Use the simple interface (default)
+
+.TP
+\fB--passive\fR
+Use passiv playback (experimental, works only localy)
+
+.TP
+\fB--background\fR
+Use background playback, impleys passive mode
+
+.TP
+\fB--verbose\fR
+Use verbose output
+
+.TP
+\fB--help\fR
+Show this help
+
+.SH "SEE ALSO"
+\fBroarcat\fR(1),
+\fBroartips\fR(7),
+\fBlibroar\fR(7),
+\fBRoarAudio\fR(7).
+
+.SH "HISTORY"
+
+For history information see \fBRoarAudio\fR(7).
+
+.\" ll
Index: doc/man1/roarcatvio.1
===================================================================
--- doc/man1/roarcatvio.1	(revision 3088)
+++ doc/man1/roarcatvio.1	(revision 3088)
@@ -0,0 +1,55 @@
+.\" roarcatvio.1:
+
+.TH "roarcatvio" "1" "January 2010" "RoarAudio" "System User's Manual: roarcatvio"
+
+.SH NAME
+
+roarcatvio \- send files to RoarAudio using VIO API
+
+.SH SYNOPSIS
+
+roarcatvio [OPTIONS]... [FILE]
+
+.SH DESCRIPTION
+
+This tool sends files to roard using the RoarAudio VIO API.
+It uses RoarAudio's DSTR to open the file so it also supports HTTP and other
+network protocol.
+
+.SH "OPTIONS"
+
+.TP
+\fB--server SERVER\fR
+Set server hostname
+
+.TP
+\fB--rate   RATE\fR
+Set sample rate
+
+.TP
+\fB--bits   BITS\fR
+Set bits per sample
+
+.TP
+\fB--chans  CHANNELS\fR
+Set number of channels
+
+.TP
+\fB--codec  CODEC\fR
+Set the codec
+
+.TP
+\fB--help\fR
+Show this help
+
+.SH "SEE ALSO"
+\fBroarcat\fR(1),
+\fBroartips\fR(7),
+\fBlibroar\fR(7),
+\fBRoarAudio\fR(7).
+
+.SH "HISTORY"
+
+For history information see \fBRoarAudio\fR(7).
+
+.\" ll
Index: doc/man1/roarfish.1
===================================================================
--- doc/man1/roarfish.1	(revision 3088)
+++ doc/man1/roarfish.1	(revision 3088)
@@ -0,0 +1,33 @@
+.\" roarfish.1:
+
+.TH "roarfish" "1" "January 2010" "RoarAudio" "System User's Manual: roarfish"
+
+.SH NAME
+
+roarfish \- operate on fishsound files
+
+.SH SYNOPSIS
+
+roarfish COMMAND FILE [OPTIONS]
+
+.SH DESCRIPTION
+
+This program can operate on files using libfishsound.
+
+.SH "COMMANDS"
+
+.TP
+\fBplay FILE\fR
+plays a file
+
+.SH "SEE ALSO"
+\fBroarcatplay\fR(1),
+\fBroartips\fR(7),
+\fBlibroar\fR(7),
+\fBRoarAudio\fR(7).
+
+.SH "HISTORY"
+
+For history information see \fBRoarAudio\fR(7).
+
+.\" ll
Index: doc/man1/roarinterconnect.1
===================================================================
--- doc/man1/roarinterconnect.1	(revision 3088)
+++ doc/man1/roarinterconnect.1	(revision 3088)
@@ -0,0 +1,86 @@
+.\" roarinterconnect.1:
+
+.TH "roarinterconnect" "1" "January 2010" "RoarAudio" "System User's Manual: roarinterconnect"
+
+.SH NAME
+
+roarinterconnect \- interconnect two audio servers
+
+.SH SYNOPSIS
+
+roarinterconnect [OPTIONS]...
+
+.SH DESCRIPTION
+
+This program can interconnect two audio servers bi- (default) or uni-directional.
+
+.SH "OPTIONS"
+
+.TP
+\fB--server SERVER\fR
+Set server hostname
+
+.TP
+\fB--remote SERVER\fR
+Set remote server
+
+.TP
+\fB--type   TYPE\fR
+Set type of remote server
+
+.TP
+\fB--rate   RATE\fR
+Set sample rate
+
+.TP
+\fB--bits   BITS\fR
+Set bits per sample
+
+.TP
+\fB--chans  CHANNELS\fR
+Set number of channels
+
+.TP
+\fB--codec  CODEC\fR
+Set the codec
+
+.TP
+\fB--help\fR
+Show this help
+
+.SH "POSSIBLE TYPES"
+
+.TP
+\fBroar\fR
+RoarAudio Server
+
+.TP
+\fBesd\fR
+EsounD Server
+
+.TP
+\fBbidir\fR
+Connect bidirectional
+
+.TP
+\fBfilter\fR
+Use local server as filter for remote server
+
+.TP
+\fBtransmit\fR
+Transmit data from local server to remote server
+
+.TP
+\fBreceive\fR
+Receive data from remote server
+
+.SH "SEE ALSO"
+\fBroartips\fR(7),
+\fBlibroar\fR(7),
+\fBRoarAudio\fR(7).
+
+.SH "HISTORY"
+
+For history information see \fBRoarAudio\fR(7).
+
+.\" ll
Index: doc/man1/roarlight.1
===================================================================
--- doc/man1/roarlight.1	(revision 3088)
+++ doc/man1/roarlight.1	(revision 3088)
@@ -0,0 +1,52 @@
+.\" roarlight.1:
+
+.TH "roarlight" "1" "January 2010" "RoarAudio" "System User's Manual: roarlight"
+
+.SH NAME
+
+roarlight \- controls the Light Control subsystem of RoarAudio
+
+.SH SYNOPSIS
+
+roarlight [OPTIONS]... command [command...]
+
+.SH DESCRIPTION
+
+This command works simular to \fBroarctl\fR but controls actual data on the
+Light Control subsystem.
+
+.SH "OPTIONS"
+
+.TP
+\fB--server    SERVER\fR
+Set server hostname
+
+.TP
+\fB--help\fR
+Show this help
+
+.SH "COMMANDS"
+
+.TP
+\fBhelp\fR
+Show this help
+
+.TP
+\fBsleep TIME\fR
+Sleeps for TIME seconds
+
+.TP
+\fBset   chan=val\fR
+Set a DMX Channel
+
+.SH "SEE ALSO"
+\fBroarctl\fR(1),
+\fBroartips\fR(7),
+\fBlibroar\fR(7),
+\fBRoarAudio\fR(7).
+
+.SH "HISTORY"
+
+For history information see \fBRoarAudio\fR(7).
+
+.\" ll
Index: doc/man1/roarradio.1
===================================================================
--- doc/man1/roarradio.1	(revision 3088)
+++ doc/man1/roarradio.1	(revision 3088)
@@ -0,0 +1,55 @@
+.\" roarradio.1:
+
+.TH "roarradio" "1" "January 2010" "RoarAudio" "System User's Manual: roarradio"
+
+.SH NAME
+
+roarradio \- program to play web radio streams in background with RoarAudio
+
+.SH SYNOPSIS
+
+roarradio [OPTIONS]... [FILE|URL]
+
+.SH DESCRIPTION
+
+This program plays a webradio stream in background using RoarAudio.
+It exits as soon as everything is set up.
+You need to use \fBroarctl\fR to kill the stream or set the volume.
+
+.SH "OPTIONS"
+
+.TP
+\fB--server SERVER\fR
+Set server hostname
+
+.TP
+\fB--rate   RATE\fR
+Set sample rate
+
+.TP
+\fB--bits   BITS\fR
+Set bits per sample
+
+.TP
+\fB--chans  CHANNELS\fR
+Set number of channels
+
+.TP
+\fB--codec  CODEC\fR
+Set the codec
+
+.TP
+\fB--help\fR
+Show this help
+
+.SH "SEE ALSO"
+\fBroarctl\fR(1),
+\fBroartips\fR(7),
+\fBlibroar\fR(7),
+\fBRoarAudio\fR(7).
+
+.SH "HISTORY"
+
+For history information see \fBRoarAudio\fR(7).
+
+.\" ll