Index: roard/Makefile
===================================================================
--- roard/Makefile	(revision 2945)
+++ roard/Makefile	(revision 3255)
@@ -6,5 +6,5 @@
 CF_CODEC=codecfilter_cmd.o codecfilter_vorbis.o codecfilter_celt.o codecfilter_speex.o codecfilter_alaw.o codecfilter_mulaw.o codecfilter_sndfile.o codecfilter_fishsound.o
 CF_CONTAINER=codecfilter_wave.o codecfilter_raum.o
-EMUL=emul_esd.o
+EMUL=emul_esd.o emul_simple.o
 
 CF=${CF_CONTAINER} ${CF_CODEC}
Index: roard/clients.c
===================================================================
--- roard/clients.c	(revision 3063)
+++ roard/clients.c	(revision 3255)
@@ -183,4 +183,5 @@
   case ROAR_PROTO_ROARAUDIO:
   case ROAR_PROTO_ESOUND:
+  case ROAR_PROTO_SIMPLE:
     byteorder = ROAR_BYTEORDER_NETWORK;
    break;
Index: roard/emul_simple.c
===================================================================
--- roard/emul_simple.c	(revision 3255)
+++ roard/emul_simple.c	(revision 3255)
@@ -0,0 +1,73 @@
+//emul_simple.c:
+
+/*
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010
+ *
+ *  This file is part of roard a part of RoarAudio,
+ *  a cross-platform sound system for both, home and professional use.
+ *  See README for details.
+ *
+ *  This file is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License version 3
+ *  as published by the Free Software Foundation.
+ *
+ *  RoarAudio is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this software; see the file COPYING.  If not, write to
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ */
+
+#include "roard.h"
+
+int emul_simple_on_connect  (int client, struct roard_listen * lsock) {
+ struct roar_stream_server * ss;
+ struct roar_stream        *  s;
+ struct roar_client        *  c;
+ int stream;
+
+ if ( clients_get(client, &c) == -1 ) {
+  return -1;
+ }
+
+ if ((stream = streams_new()) == -1 ) {
+  clients_delete(client);
+  return -1;
+ }
+
+ if ( streams_get(stream, &ss) == -1 ) {
+  streams_delete(stream);
+  clients_delete(client);
+  return -1;
+ }
+
+ s = ROAR_STREAM(ss);
+
+ if ( client_stream_add(client, stream) == -1 ) {
+  streams_delete(stream);
+  clients_delete(client);
+  return -1;
+ }
+
+ memcpy(&(s->info), &(lsock->inst.stpl.info), sizeof(struct roar_audio_info));
+
+ ss->codec_orgi = s->info.codec;
+
+ if ( streams_set_dir(stream, lsock->inst.stpl.dir, 1) == -1 ) {
+  clients_delete(client);
+  return -1;
+ }
+
+ if ( client_stream_exec(client, stream) == -1 ) {
+  clients_delete(client);
+  return -1;
+ }
+
+ return 0;
+}
+
+//ll
Index: roard/include/emul_simple.h
===================================================================
--- roard/include/emul_simple.h	(revision 3255)
+++ roard/include/emul_simple.h	(revision 3255)
@@ -0,0 +1,38 @@
+//emul_simple.h:
+
+/*
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010
+ *
+ *  This file is part of roard a part of RoarAudio,
+ *  a cross-platform sound system for both, home and professional use.
+ *  See README for details.
+ *
+ *  This file is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License version 3
+ *  as published by the Free Software Foundation.
+ *
+ *  RoarAudio is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this software; see the file COPYING.  If not, write to
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ */
+
+#ifndef _EMUL_SIMPLE_H_
+#define _EMUL_SIMPLE_H_
+
+#include <roaraudio.h>
+
+#if 1
+
+int emul_simple_on_connect  (int client, struct roard_listen * lsock);
+
+#endif
+
+#endif
+
+//ll
Index: roard/include/roard.h
===================================================================
--- roard/include/roard.h	(revision 3253)
+++ roard/include/roard.h	(revision 3255)
@@ -97,4 +97,5 @@
 #include "req.h"
 #include "emul_esd.h"
+#include "emul_simple.h"
 #include "sources.h"
 #include "sample.h"
Index: roard/network.c
===================================================================
--- roard/network.c	(revision 3253)
+++ roard/network.c	(revision 3255)
@@ -159,4 +159,6 @@
 #endif
   case ROAR_PROTO_SIMPLE:
+    if ( emul_simple_on_connect(client, lsock) == -1 )
+     return -1;
    break;
 #endif